#ifndef CLIENT_CHAT_HPP
#define CLIENT_CHAT_HPP

#include <Basis/Screen.hpp>
#include <Graphics/Font.hpp>
#include <sys/types.h>
#include <sys/socket.h>
#include <netdb.h>
#include <iostream>
#include <vector>
#include <string>
#include <iterator>

#define MAXLENGTH 51
#define MAXCHATH 37
#define MAXTYPEH 4

using std::vector;
using std::string;

struct chat{
  string s;
  int red;
  int green;
  int blue;
};

//This is a basic, empty screen. Fill at your leisure.

class client_chat : public Screen {
public:
  virtual void draw();
  virtual void update(float elapsed_time);
  virtual void handle_event(SDL_Event const &event);

  bool rshift, lshift;
  vector <chat> chatlog;
  string buff, lastpm;
  Graphics::FontRef font;

  int currentbuff;
  int currentlog;
  int sock;
  
  client_chat();
  client_chat(char *host, char *port, char *name);
  virtual ~client_chat();
  virtual void send_chat(const char *message);
  virtual void receive_chat();
};

#endif //CLIENT_CHAT_HPP
