#ifndef SYNC_LIST_H
#define SYNC_LIST_H

#include <list>
#include <pthread.h>

using namespace std;

template <class T>
class sync_list {
  list<T> l;
  pthread_rwlock_t lock;

public:
  sync_list() {
    pthread_rwlock_init(&lock, NULL);
  }

  list<T> *get_readlock() {
    pthread_rwlock_rdlock(&lock);
    return &l;
  }

  list<T> *get_writelock() {
    pthread_rwlock_wrlock(&lock);
    return &l;
  }

  void release_lock() {
    pthread_rwlock_unlock(&lock);
  }
};

#endif
